/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package matrix;

public class Matrix{
  private int[][] matrix;

  public void generate(){ //генерация моих матриц
    for (int i = 0; i < this.n; i++){
      for (int j = 0; j < this.m; j++){
        this.matrix[i][j] = (int)(Math.random() * 20);
      }
    }
  }

  Matrix(int n, int m){
    this.matrix = new int[n][m];
    generate();
  }


  public void setMatrix(int[][] matrix1) throws MatrixException{
    if (matrix1.length == matrix.length) {
      for (int i = 0; i < matrix1.length; i++) {
        if (matrix1[i].length != matrix[0].length) {
          throw new MatrixException("Error matrix1");
        }
      }
    }
    else{
      throw new MatrixException("Error matrix2");
    }

    for (int i = 0; i < matrix.length; i++){
      for (int j = 0; j < matrix[0].length; j++){
        this.matrix[i][j] = matrix[i][j];
      }
    }
  }

  public int[][] getMatrix(){
    return this.matrix;
  }
}
